Bug 91408 - logrotate should handle glob failures gracefully
Summary: logrotate should handle glob failures gracefully
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-22 13:00 UTC by David N. Blank-Edelman
Modified: 2015-01-08 00:05 UTC (History)
1 user (show)

Fixed In Version: 3.6.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 19:14:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David N. Blank-Edelman 2003-05-22 13:00:13 UTC
Although logrotate is happy to continue with the logging process if a file 
doesn't exist (given "missingok"), it will die mid-job if there is a globbing 
error even if missingok is set. For instance, if you ask to 
rotate /priv/log/somedir/*.log and the somedir directory doesn't exist, 
logrotate will exit with an error even if "missingok" is set for that glob'd 
file.

Possible ideas for fixes:

1) have logrotate respect missingok when glob errors are encountered
2) add another primative (e.g. missingdirok)

Comment 1 Elliot Lee 2003-07-08 19:59:48 UTC
Patches anyone?


Note You need to log in before you can comment on or make changes to this bug.